ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
dialogs_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_create_record (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $ContextSetConfigs = false
| $String = false

## Detailed Description

Class creates common dialogs.

Author
  Dodonov A.A.

Definition at line 26 of file dialogs.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 56 of file dialogs.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->ContextSetConfigs = get_package( 'gui::context_set::context_set_configs' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_create_record | ( | & | $Settings | ) |

Function processes string.

Parameters

  $Settings | - Options of drawing.

Returns
  HTML code to display.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 134 of file dialogs.php.

{
try
{
$Settings->set_setting( 'id' , md5( microtime( true ) ) );
list( $Prefix , $Permits ) = $this->get_package_data( $Settings );
$Settings->set_setting( 'prefix' , $Prefix );
$Settings->set_setting( 'permits' , $Permits );
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'create_record.tpl' );
$Code = $this->String->print_record( $Code , $Settings->get_raw_settings() );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file dialogs.php.

$ContextSetConfigs = false

Definition at line 39 of file dialogs.php.

$String = false

Definition at line 40 of file dialogs.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/dialogs/dialogs.php